r.out.ascii(1)	       Grass User's Manual	   r.out.ascii(1)



NNAAMMEE
       rr..oouutt..aasscciiii   -	Converts a raster map layer into an ASCII
       text file.
       _(_G_R_A_S_S _R_a_s_t_e_r _D_a_t_a _E_x_p_o_r_t _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       rr..oouutt..aasscciiii
       rr..oouutt..aasscciiii hheellpp
       rr..oouutt..aasscciiii  [--hhssMMii]  iinnppuutt==_n_a_m_e  oouuttppuutt==_n_a_m_e   [ddpp==_v_a_l_u_e]
       [nnuullll==_s_t_r_i_n_g]

DDEESSCCRRIIPPTTIIOONN
       _r_._o_u_t_._a_s_c_i_i  converts  a  user-specified  raster map layer
       (iinnppuutt==_n_a_m_e) into an ASCII text file  (oouuttppuutt==_n_a_m_e)  suit-
       able for export to other computer systems.


       The  GRASS  program  _r_._i_n_._a_s_c_i_i can be used to perform the
       reverse function, converting an	ASCII  file  in  suitable
       format to GRASS raster file format.

OOPPTTIIOONNSS
   FFllaaggss::
       --hh     Suppress printing of header information.

       --ss     Write SURFER .grd ASCII GRID instead of GRASS ASCII
	      GRID

	      (with reverted row order, different header)

       --ss     Write MODFLOW (USGS) free-format array  instead  of
	      GRASS ASCII GRID


       --ii     Output integer category values, nit cell values.


   PPaarraammeetteerrss::
       iinnppuutt==nnaammee
	      Name of an existing raster map layer.

       oouuttppuutt Name  of	an  output  binary file (use output=- for
	      stdout)

       ddpp==vvaalluuee
	      Number of decimal places.

       nnuullll==ssttrriinngg
	      Character string to represent no data cell.

       _r_._o_u_t_._a_s_c_i_i can be run either non-interactively or  inter-
       actively.   The	program  will be run non-interactively if
       the user specifies the name of  a  raster  map  layer  and
       (optionally)  a	value  for _d_p, using the form rr..oouutt..aasscciiii
       iinnppuutt==_i_n_n_a_m_e oouuttppuutt==_o_u_t_n_a_m_e [ddpp==_v_a_l_u_e]

       where _i_n_n_a_m_e is the name of a raster map layer to be  con-
       verted  to  ASCII  format,  _o_u_t_n_a_m_e  is	the  name  of the
       exported file, and _v_a_l_u_e is  the  number  of  digits  (per
       cell)  to  be printed to output.  The user can also the _-_h
       option to suppress the output of file header  information.


       To  write a SURFER .grd ASCII GRID file (with reverted row
       order and different header) use the _-_s  flag:  rr..oouutt..aasscciiii
       --ss iinnppuutt==_i_n_n_a_m_e oouuttppuutt==_o_u_t_n_a_m_e_._g_r_d [ddpp==_v_a_l_u_e]

       NULL  data  are	coded  to "1.70141e+038" for SURFER ASCII
       GRID files (ignoring the _n_u_l_l_= parameter).


       Alternately, the user can simply type rr..oouutt..aasscciiii  on  the
       command	line,  without	program arguments.  In this case,
       the user will be prompted for parameter values  using  the
       standard GRASS _p_a_r_s_e_r interface.

NNOOTTEESS
       The  output  from _r_._o_u_t_._a_s_c_i_i may be placed into a file by
       using the UNIX redirection  mechanism;  e.g.:  rr..oouutt..aasscciiii
       iinnoouutt==soils oouuttppuutt==-- > out.file

       The  output  file  out.file  can then be printed or copied
       onto a CDROM or floppy disk for export purposes.

SSEEEE AALLSSOO
       _r_._i_n_._a_s_c_i_i_, _r_._i_n_._a_r_c_, _p_a_r_s_e_r

AAUUTTHHOORR
       Michael	Shapiro,  U.S.	Army   Construction   Engineering
       Research Laboratory


       Surfer support by Markus Neteler

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_4_/_1_5 _1_6_:_0_2_:_0_3 _$



GRASS 5.0					   r.out.ascii(1)
